
ctools - Change request #1845

Use 'NONE' instead of 0.0 for unapplied selection values in ctselect

08/13/2016 10:03 PM - Knödlseder Jürgen

Status: Closed Start date: 08/13/2016

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

If the emin or emax value is set to 0.0 in ctselect the tool will ignore the event selection. This is not very understandable for users.

Instead, 'NONE' should be used (or 'UNDEF') to specify an ignored event selection parameter.

Note that the unit test also needs to be modified, since it actually checks the current logic.

History

#1 - 08/15/2016 01:15 PM - Mayer Michael

Should we only accept "NONE" and "UNDEF" (maybe also "INDEF")?

What should be the behaviour when something else invalid e.g. "NOTHING" is entered? Either we throw an exception here, or quietly skip the

corresponding selection then.

It boils down to the question if we use GApplicationPar::is_valid() or specifically check for strings like "NONE".

#2 - 03/03/2017 10:50 AM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/07/2017 05:50 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0

#4 - 08/01/2017 09:56 AM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

Check if this is not already possible.

#5 - 01/23/2018 04:44 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

This is already possible, close the change request now.
